%define mname pygpgme
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

Name:           python-gpgme
Version:        0.3
Release:        %mkrel 3
Summary:        Python module for working with OpenPGP messages
License:        LGPLv2+
Group:          Development/Python
URL:            https://launchpad.net/pygpgme
Source0:        https://pypi.python.org/packages/source/p/%{mname}/%{mname}-%{version}.tar.gz
BuildRequires:  pkgconfig(python)
BuildRequires:  gpgme-devel

%description
PyGPGME is a Python module that lets you sign, verify, encrypt and decrypt
files using the OpenPGP format.  It is built on top of GNU Privacy Guard and
the GPGME library.

%package -n python3-gpgme
Summary:	Python 3 module for working with OpenPGP messages
Group:		Development/Python
BuildRequires:	pkgconfig(python3)

%description -n python3-gpgme
PyGPGME is a Python 3 module that lets you sign, verify, encrypt and decrypt
files using the OpenPGP format.  It is built on top of GNU Privacy Guard and
the GPGME library.

%prep
%setup -q -n %{mname}-%{version}
%apply_patches
cp -a . %{py3dir} 

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

pushd %{py3dir} 
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd


%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}
# No need to ship the tests
rm -rf %buildroot/%{python_sitearch}/gpgme/tests/
rm -rf %buildroot/%{python3_sitearch}/gpgme/tests/


%files
%doc README PKG-INFO
%{python_sitearch}/*

%files -n python3-gpgme
%{python3_sitearch}/*




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.3-3.mga4
+ Revision: 543582
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.3-2.mga4
+ Revision: 498704
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 01 2013 philippem <philippem> 0.3-1.mga4
+ Revision: 474118
- update to 0.3, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.1-5.mga3
+ Revision: 378954
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 30 2011 ahmad <ahmad> 0.1-4.mga1
+ Revision: 93847
- bump the rel to smoothen upgrades from mdv 2010.1

* Tue Mar 29 2011 kharec <kharec> 0.1-1.mga1
+ Revision: 78870
- imported package python-gpgme


* Sat May 29 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1-3mdv2010.1
+ Revision: 546562
- add upstream patch to fix gpgme intialization mdv #59361

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.1-2mdv2010.0
+ Revision: 442146
- rebuild

* Mon Jun 30 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0.1-1mdv2009.0
+ Revision: 230135
- fix group, remove unused patch
- import python-gpgme


